Skip to main content
`Ctrl`+`K`

# VecAYPX

Computes `y = x + beta y`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecAYPX(Vec y, PetscScalar beta, Vec x)

Logically Collective

## Input Parameters

- beta - the scalar

- x - the unscaled vector

- y - the vector to be scaled

## Output Parameter

- y - output vector

## Developer Notes

The implementation is optimized for `beta` of -1.0, 0.0, and 1.0

## See Also

Vectors and Parallel Data, `Vec`, `VecMAXPY()`, `VecWAXPY()`, `VecAXPY()`, `VecAXPBYPCZ()`, `VecAXPBY()`

## Level

intermediate

## Location

src/vec/vec/interface/rvector.c

## Examples

src/ksp/ksp/tutorials/ex14f.F90
src/ksp/ksp/tutorials/ex100f.F90
src/ksp/ksp/tutorials/ex100.c
src/ts/tutorials/ex31.c
src/ts/tutorials/ex3.c
src/tao/pde_constrained/tutorials/parabolic.c
src/ts/tutorials/ex51.c
src/tao/pde_constrained/tutorials/hyperbolic.c
src/tao/pde_constrained/tutorials/elliptic.c
src/ksp/ksp/tutorials/ex74.c

## Implementations

VecAYPX_Nest() in src/vec/vec/impls/nest/vecnest.c
VecAYPX_Seq() in src/vec/vec/impls/seq/dvec2.c
VecAYPX_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecAYPX_SeqViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages